bitel.billing.server.task

## Class TaskBaseRunner

- java.lang.Object
- - bitel.billing.server.task.bean.RunTask
  - - bitel.billing.server.task.TaskBaseRunner

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Runnable

      public class TaskBaseRunner
      extends RunTask

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class bitel.billing.server.task.bean.RunTask

      `log, setup`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskBaseRunner(java.lang.String className, java.util.Date dt, int taskId, java.lang.String params, java.lang.String moduleId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `executeTask()`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class bitel.billing.server.task.bean.RunTask

      `getQueueId, getUniqueKeyParallel, getUniqueKeyQueue, init, removeMyselfFromTable, run, setQueueId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskBaseRunner

          public TaskBaseRunner(java.lang.String className,
                                java.util.Date dt,
                                int taskId,
                                java.lang.String params,
                                java.lang.String moduleId)
                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### getDescription

          public java.lang.String getDescription()

      Specified by:
        `getDescription` in class `RunTask`

    - #### executeTask

          public void executeTask()

      Specified by:
        `executeTask` in class `RunTask`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`